I915_PARSE_CMDS(9)

NAME
i915_parse_cmds - parse a submitted batch buffer for privilege violations

SYNOPSIS

int i915_parse_cmds(struct intel_engine_cs * ring, struct drm_i915_gem_object * batch_obj, u32 batch_start_offset, bool is_master);

ARGUMENTS

ring
    the ring on which the batch is to execute

batch_obj
    the batch buffer in question

batch_start_offset
    byte offset in the batch at which execution starts

is_master
    is the submitting process the drm master?

DESCRIPTION

Parses the specified batch buffer looking for privilege violations as described in the overview.

RETURN

non-zero if the parser finds violations or otherwise fails; -EACCES if the batch appears legal but should use hardware parsing

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT